# Conditional for release and snapshot builds. Uncomment for release-builds.
%global rel_build 1

# This is needed, because src-url contains branched part of versioning-scheme.
#%global branch 1.9

# Settings used for build from snapshots.
%{!?rel_build:%global commit 975058b6e0b302998c52bd3792a5d0da53609bbb}
%{!?rel_build:%global commit_date 20140914}
%{!?rel_build:%global shortcommit %(c=%{commit};echo ${c:0:7})}
%{!?rel_build:%global git_ver git%{commit_date}-%{shortcommit}}
%{!?rel_build:%global git_rel .git%{commit_date}.%{shortcommit}}
%{!?rel_build:%global git_tar %{name}-%{version}-%{git_ver}.tar.xz}

Summary: 	Extra gtk-2/3 themes for gtk based desktops
Name: 		mate-themes-extras
Version:    3.14.7
%if 0%{?rel_build}
Release:    1%{?dist}
%else
Release:    0.1%{?git_rel}%{?dist}
%endif

# upstream is located at github, but links from tag releases doesn't match copied link in
# web-browser, in result fedora-rewiew-tool will fail.
# so i decided to release on fedorapeople to have a valid download link.
# There are different releases for every GTK3 version in fedora.
URL: 		https://github.com/NiceandGently/mate-themes-extras
License: 	LGPLv2 and GPLv2
Group: 		User Interface/Desktops
BuildArch: 	noarch

# for downloading the tarball use 'spectool -g -R mate-themes-extras.spec'
# Source for release-builds.
%{?rel_build:Source0:     http://raveit65.fedorapeople.org/Mate/SOURCE/%{name}-%{version}.tar.xz}
# Source for snapshot-builds.
%{!?rel_build:Source0:    https://github.com/NiceandGently/%{name}/archive/%{commit}.tar.gz#/%{git_tar}}

Requires: 	gtk-murrine-engine
Requires: 	adwaita-icon-theme
Requires:   mate-icon-theme

BuildRequires:  hardlink

# for obsoleting external Repo versions f18 and f19
Obsoletes: mate-themes-extras-3 < %{version}-%{release}
Obsoletes: mate-themes-extras-4 < %{version}-%{release}

%description
The mate-themes-extras package contains a collection of GTK2/3 desktop
themes for all gtk based desktops.
These themes can change the appearance of application widgets, icons,
window borders, cursors, etc.
This package is optimized for GTK3-3.14.
Theme list: Delorean, DeLorean-Dark, GnomishBeige, Smoothly, Smoothly-Black.

%prep
%setup -q%{!?rel_build:n %{name}-%{commit}}

%if 0%{?rel_build}
#NOCONFIGURE=1 ./autogen.sh
%else # 0%{?rel_build}
# for snapshots
# needed for git snapshots
NOCONFIGURE=1 ./autogen.sh
%endif # 0%{?rel_build}

%build
%configure \
    --enable-DeLorean \
    --enable-DeLorean-Dark \
    --enable-GnomishBeige

make %{?_smp_mflags}

%install
%{make_install}

# save space by linking identical images
hardlink -c -v $RPM_BUILD_ROOT%{_datadir}/themes/DeLorean
hardlink -c -v $RPM_BUILD_ROOT%{_datadir}/themes/DeLorean-Dark
hardlink -c -v $RPM_BUILD_ROOT%{_datadir}/themes/GnomishBeige


%files
%doc AUTHORS COPYING README ChangeLog
%{_datadir}/themes/DeLorean/
%{_datadir}/themes/DeLorean-Dark/
%{_datadir}/themes/GnomishBeige/


%changelog
* Sun Dec 27 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 3.14.7.1
- update to 3.14.7 release

* Wed Jul 08 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 3.8.4.2
- don't build submarine themes, they are in mate-themes now

* Sun Jan 04 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 3.8.4-1
- update to 3.8.4 release
- improvements for Submarine themes
- improvements for GnomishBeige
- improvements for zukitwo color themes
- improvements for faience themes

* Fri Dec 12 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 3.8.3-1
- update to 3.8.3 release
- enable Zukitwo color themes
- add resize-grip for most themes
- better support for what we call csd applications in future gtk3 releases

* Mon Nov 17 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 3.8.1-1
- update to 3.8.1-1 release
- Blue-Submarine: re-write of GTK2 theme
- Green-Submarine: re-write of GTK2 theme
- Smoothly-Black GTK3: latest changes from upstream from 2014-10-02
- Smoothly GTK3: latest changes from upstream from 2014-10-02
- much improvements for GTK2/3, see git log
- drop cupertino themes, they don't work witk with GTK3-3.8

* Wed Oct 22 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 3.8.0-1
- update to 3.8.0 release to reflect GTK3 version
- update faience themes to GTK3-3.8/10

* Thu Oct 16 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.7.6-1
- build for epel7
- update to 1.7.6 release
- gtk2, syncronize panel-applets menus
- update clearlook-phenix to GTK3-3.8
- several theme improvements
- remove obsoletes
- disable cologne theme
- disable smoothly themes
- disable zukwito colors themes

* Mon Oct 28 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.7.4-2
- add missing runtime require gnome-colors-icon-theme

* Sat Oct 26 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.7.4-1
- update to 1.7.4
- switch to gnome-colors-icon-theme
- clean up runtime requires

* Wed Sep 11 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.7.3-1
- update to 1.7.3
- switch to faience instead of faenza icon theme
- remove runtime require humanity-icon-theme
- add runtime require mate-icon-theme and gnome-icon-theme

* Wed Sep 11 2013 Dan Mashal <dan.mashal@fedoraproject.org> - 1.7.2-3
- Fix broken deps

* Fri Aug 16 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.7.2-2
- initial for fedora

* Fri Aug 16 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.7.2-1
- update to 1.7.2
- update GnomihBeige theme to GTk3-3.8
- disable Zukwito theme, already in fedora

* Sat Jul 27 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.7.1-1
- update to 1.7.1
- update Dolorean-Dark, Smoothly and Smoothly-Black to GTK3-8 

* Thu Jun 27 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.7.0-1
- initial build
